% h history
%
% h without argment return the last commands
% h( number ) print and execute a last command
% h( string ) push the command on the stack
%
% To increase/decrease the depth of the stack, edit the eegconst file
 
function h( command );
eegglobal;
eegconst;

if isempty(ALLCOM)
	ALLCOM = cell(1,DEPTH_HIST);
end;	

if nargin < 1
	for index = DEPTH_HIST:-1:1 
		if ~isempty( ALLCOM{index} )
			txt = ALLCOM{index};
			fprintf('%d: %s%s\n', index, txt(1:min(70,size(txt,2))), fastif(size(txt,2) > 50, '...', '') );
		end;
	end;
else
	if isstr( command )
		% stack element
		% ----------------
		for index = DEPTH_HIST-1:-1:1 
			ALLCOM{ index+1 } = ALLCOM{ index }; 
		end;
		ALLCOM{ 1 } = command;
		LASTCOM     = command;
	else	
		if command < 0
			% unstack last element
			% --------------------
			for index = 1:DEPTH_HIST-1 
				ALLCOM{ index } = ALLCOM{ index+1 }; 
			end;
			ALLCOM{ DEPTH_HIST } = [];
		else
		% execute element
			% ----------------
			txt = ALLCOM{command};
			fprintf('%s%s\n', txt(1:min(70,size(txt,2))), fastif(size(txt,2) > 50, '...', '') );
			h( ALLCOM{command} );
			eval( ALLCOM{command} );
		end;
	end;		
end;
