function [P, R] = matchcalib( calib, values, plotag )

SIZECONVO  = 10;
WIDTHCONVO = 20;
DISCRET    = 100;

if nargin < 3
	plotag = 0;
end;	

sortedres   = zeros(size(values));
usedindexes = ones(size(values));
count = 0;

% if calib is not empty, match it
% -------------------------------
[X I] = sort(values);
if ~isempty(calib)
	Y = calib(I);
	I = find(Y == 0); Y(I) = -1;
	I = find(Y == 2); Y(I) = 1;
else
	s = size(X(:),1);
	Y = zeros(size(X));
	Y(round(s/3):round(2*s/3)+1) = round(rand(1,round(2*s/3)-round(s/3)+2));
	Y(round(2*s/3)+2:end) = 1;
end;	

% Compute proba
% -------------
A = gauss([-SIZECONVO:SIZECONVO],WIDTHCONVO);
YY = zeros( size(Y) );

for index = 1:size(Y(:),1)
	sumconvo = 0;
	for indexconvo = -SIZECONVO:SIZECONVO
		realindex = index + indexconvo;
		if realindex > 0 & realindex < size(Y(:),1)
			YY(index) = YY(index) + A(indexconvo+SIZECONVO+1)*Y(realindex);
			sumconvo = sumconvo + A(indexconvo+SIZECONVO+1);
		end;
	end;
	YY(index) = YY(index) / sumconvo;
end;
Y =	(YY+1)/2;

if plotag
	figure;
	plot( X, Y);
end;

% linear fit
% ----------
I = find (Y < 0.95); Y2 = Y(I); X2 = X(I);
[P S] = polyfit(X2,Y2,1);
hold on; plot(linspace( min(X2), max(X2), 50), linspace( min(X2), max(X2), 50)*P(1)+P(2));
%[ B bint r rint stats] = regress((Y2-P(2))', X2');
%R = stats(1);
R = 0;
return;

% resample X
% ----------
%ORD = [1 2];
%XX = linspace( min(X), max(X), DISCRET);
%[Xi,Yi,Zi] = griddata(ORD, X', [ Y' Y'] , ORD, XX', 'linear');   % interpolate data
%hold on; plot(XX,Zi(:,1), 'r'); hold on; %plot( X, Y, 'r'); 
%Y = Zi(:,1)
%return;

