function multitopoplot( set_in, components, rows, column );
eegglobal;
retreiveset(set_in);

if isstr(components)
	switch components
		case 'all', components = [1:size(WINV,2)];
	end;
end;
	
if nargin < 3
	column = 6;
	rows   = ceil(size(WINV,2)/column);
end;

if isempty(POSCHAN)
	fprintf('Error: can not plot without channel location\n');
	return;
end;

figure;
pos = get(gcf,'Position');
set(gcf,'Position', [pos(1) pos(2) 100*column 100*rows]);

for ri = components

	subplot(rows, column, ri);
	topoplot( WINV(:,ri), POSCHAN);
	title(int2str(ri));
	axis square;

end; 

h(sprintf('multitopoplot(%d,[%s],%d,%d);', set_in, int2str(components), rows, column ));
return;