% plot the  EEG or AVG set
% ------------------------
function plotset( typeplot, set_in, channel)
eegglobal;

if nargin < 1
	typeplot = 1; %1=signal; 0=component
end;

if nargin < 3
	% which set to save
	% -----------------
	txt = [ fastif( typeplot, 'Enter the channel (1 to ', 'Enter the component (1 to ') int2str(size(SIGNAL,1)) '):']; 
	promptstr    = { 'Enter the set:', txt };
	inistr       = { int2str(CURRENTSET), '1' };
	result       = inputdlg( promptstr, fastif( typeplot, 'Plot set', 'Plot component'), 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	channel   	 = eval( result{2} );
end;
if set_in == 0
	set_in = CURRENTSET;
end;

retreiveset(set_in);

% plot the datas
% --------------
if typeplot == 1
	TMPSIG = SIGNAL;
else
	TMPSIG = ACT;
end;
titleplot = [ FILENAME fastif( typeplot, ' chan ', 'compo') int2str(channel)];

if ~isempty(RT)
	figure; erpimage( TMPSIG(channel, :), RT, [XMIN*1000:1000*(XMAX-XMIN)/(PNTS-1):XMAX*1000],titleplot, 3, 1);
else
	if SWEEPS ~= 1
		figure; erpimage( TMPSIG(channel, :), ones(1, SWEEPS), [XMIN*1000:1000*(XMAX-XMIN)/(PNTS-1):XMAX*1000], titleplot, 3, 1, 'nosort', 'noplot');
	else
		nbchan = size(TMPSIG,1);
		nbpnts = size(TMPSIG(1,:), 2);
		SIGNAL = reshape( TMPSIG', 1, nbchan*nbpnts); 
		figure; erpimage( TMPSIG(channel, :), ones(1, nbchan), [XMIN*1000:1000*(XMAX-XMIN)/(PNTS-1):XMAX*1000], titleplot, 0, 0, 'nosort', 'noplot');
		SIGNAL = reshape( TMPSIG, nbpnts, nbchan)'; 
	end;
end;

h(sprintf('plotset( %d, %d, %d);', typeplot, set_in, channel));
return;
