function pop_choosecalib( set_in, set_out, components, plotag )
eegglobal;

if nargin <1 
	set_in = CURRENTSET;
end;	

if nargin < 2
	% popup window parameters
	% -----------------------
	promptstr    = { ['Enter the set to use (it can be your modification' 10 'on the current set or an other set).' 10 'Enter 0 for statistical automatic rejection'] };
	inistr       = { int2str(CURRENTSET) };
	result       = inputdlg( promptstr, 'Choose calibration set ', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_out   	 = eval( result{1} );
end;

if set_out == 0
	autoreject(set_in, [], 1, 1);
	return;
end;

retreiveset(set_out);
if ~iscell(ENTA)
	fprintf('Error:this set does not contain calibration values\n');
	retreiveset(set_in);
	return;
end;	

Per = ENTR{2};
Pea = ENTA{2};
Pkr = KURTR{2};	
Pka = KURTA{2};	
Pkd = KURTD{2};
try
	T2  = THRESHOLD(2);
	T3  = THRESHOLD(3);	
catch
	T2 = 0;
	T3 = 0;
end;
retreiveset(set_in);

if iscell(ENTA) ENTA = ENTA{1}; end;
if iscell(ENTR) ENTR = ENTR{1}; end;
if iscell(KURTA) KURTA = KURTA{1}; end;
if iscell(KURTR) KURTR = KURTR{1}; end;
if iscell(KURTD) KURTD = KURTD{1}; end;

ENTA = { ENTA Pea 0 };
ENTR = { ENTR Per 0 };
KURTA = { KURTA Pka 0 };
KURTR = { KURTR Pkr 0 };
KURTD = { KURTD Pkd 0 };
if T2 ~=0 THRESHOLD(2) = T2; end;
if T3 ~=0 THRESHOLD(2) = T3; end;

storeset(set_in);
fprintf('Parameter of this new set used, new threhold %2.2f percent for signal and %2.2f percent for distribution\n', T2, T3);
autoreject(set_in, COMPREJECT, 1, 1);

return;