function pop_compproj( set_in, set_out, components, plotag )
eegglobal;

if nargin < 2
	% popup window parameters
	% -----------------------
	promptstr    = { 'Enter the input set:', 'Enter the output set:', 'Enter the components:'};
	inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), [ '1:' int2str(size(SIGNAL,1)) ] };
	result       = inputdlg( promptstr, 'Project selected components', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out   	 = eval( result{2} );
	components   = eval( result{3} );
else
	if nargin < 3
		retreiveset(set_in);
		if isempty(COMPREJECT) COMPREJECT = zeros(1, size(SIGNAL,1)); end;
		storeset(set_in);	
		components = find(COMPREJECT == 0);
	end;	
end;

retreiveset(set_in);
fprintf('Computing projection ....\n');

[ compproj, varegg ] = compvar( SIGNAL, ACT, WINV, components);
SIGNAL  = compproj;
SETNAME = 'ICA filtered';
SPHERE  = [];
storeset(set_out);

if  nargin < 3 | exist('plotag')
	pop_compare( [ set_in set_out ] );
	h(-1);
end;
%fprintf( 'The ICA projection account for %2.2f percent of the data\n', 100*varegg);
	
if nargin < 3 

    ButtonName=questdlg( [ 'Do you agree with the projection, and' 10 'want to save it in set ' int2str(set_out)], ...
                         'Confirmation', 'NO', 'YES', 'YES');
	
    switch ButtonName,
        case 'NO', 
        	disp('Operation cancelled');
			retreiveset(set_in);
			pop_delset(set_out);
       case 'YES',
       		disp('Projection computed');
    end % switch
	close(gcf);
end;

return;