function h = pop_dispcomp( set_in, set_out, rejtrials );

eegglobal;
eegconst;

if nargin < 2

	% which set to save
	% -----------------
	promptstr    = { 'Enter the set:', 'Enter the destination set:', 'Also reject trials:' };
	inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), 'YES' };
	result       = inputdlg( promptstr, 'Display components', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out   	 = eval( result{2} );
	rejtrials = 1; if size(result{3},2) == 2 if all(result{3} == 'NO') rejtrials = 0; end; end; 

end;

retreiveset(set_in);
if isempty(COMPREJECT)
	COMPREJECT = zeros(1, size(SIGNAL,1));
	storeset(set_in);
end;	

fprintf('Drawing figure...\n') 

if nargin < 4
	column =ceil(sqrt( size(WINV,2) ))+1;
	rows = ceil(size(WINV,2)/column);
end;

% set up the figure
% -----------------
figure;
set(gcf,'MenuBar', 'none');
pos = get(gcf,'Position');
set(gcf,'Position', [pos(1) pos(2) 800 800]);
pos = get(gca,'position'); % plot relative to current axes
hh = gca;
q = [pos(1) pos(2) 0 0];
s = [pos(3) pos(4) pos(3) pos(4)]./100;
axis off;

for ri = 1:size(WINV,2)
	% compute coordinates
	% -------------------
	X = mod(ri-1, column)/column * 120-13;  
	Y = (rows-floor((ri-1)/column))/rows * 110-20;  

	% plot the head
	% -------------
	ha = axes('Units','Normalized', 'Position',[X Y 15 15].*s+q);
	topoplot( WINV(:,ri), POSCHAN);
	axis square;

	% plot the button
	% ---------------
	h(ri) = uicontrol(gcf, 'Style', 'pushbutton', 'backgroundcolor', fastif(COMPREJECT(ri), 'r','g'), 'string', int2str(ri), ... 
						'Units','Normalized', 'Position',[X+2 Y+15 11 4].*s+q);
	command = sprintf('pop_selectcompo( %d, %d, %3.15f); fprintf(''button %d'')', set_in, ri, h(ri), ri); 					
	set( h(ri), 'callback', command );
end; 

% draw the bottom button
% ----------------------
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Cancel', 'Units','Normalized', ...
		'Position',[-10 -10 15 4].*s+q, 'callback', 'close(gcf); fprintf(''Operation cancelled\n'')' );
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Thresholds', 'Units','Normalized', ...
		'Position',[10 -10 15 4].*s+q, 'callback', sprintf('pop_choosethresh(%d); pop_dispcompbut(%d, [%s]);', set_in, set_in, sprintf('%3.15f ',h)) );
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Choose calib.', 'Units','Normalized', ...
		'Position',[30 -10 15 4].*s+q, 'callback', sprintf('pop_choosecalib(%d); pop_dispcompbut(%d, [%s]);', set_in, set_in, sprintf('%3.15f ',h)) );
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'See result', 'Units','Normalized', ...
		'Position',[50 -10 15 4].*s+q, 'callback', ['eegglobal; pop_compproj(' int2str(set_in) ',' int2str(MAX_SET) ',[' int2str(find(COMPREJECT == 0)) '],1); pop_delset(' int2str(MAX_SET) ');'] );
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Help', 'Units','Normalized', ...
		'Position',[70 -10 15 4].*s+q, 'callback', 'pop_dispcomphelp;' );
hh = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'OK', 'Units','Normalized', ...
		'Position',[90 -10 15 4].*s+q, 'callback',   sprintf('if %d pop_rejectrials(%d,%d, 0, 0, 1); end; pop_compproj(%d,%d); close(gcf); updatemenu; ', rejtrials, set_in, set_out, fastif(rejtrials, set_out, set_in), set_out));
return;		
