function pop_filtset( set_in, set_out, range_sweeps, range_typeeeg, range_chan, range_rt, range_response)
eegglobal;

if nargin < 7

	% popup window parameters
	% -----------------------
	promptstr    = { 'Enter the input set:', 'Enter the output set:', 'Enter trialrange (ex:1:100):', 'Enter the type range:', 'Enter electrodes (ex:1:16 or [1,3:4,6:32]):', 'Enter rt range(ms):', 'Enter resp. range (Neuroscan only):' };
	inistr       = { int2str(CURRENTSET), int2str(CURRENTSET), 'all', 'all', 'all', 'all', 'all' };
	result       = inputdlg( promptstr, 'Trial/channel suppression', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;

	% retreiveSet
	% ------------
	set_in  = eval( result{1} );
	set_out = eval( result{2} );

	% decode parameters
	% -----------------
	if size(result{3}) == size('all')	range_sweeps = 'all';
	else					range_sweeps = eval( result{3} );
	end;
	if size(result{4}) == size('all')	range_typeeeg  = 'all';
	else					range_typeeeg  = eval( result{4} );
	end;
	if size(result{5}) == size('all')	range_chan    = 'all';
	else					range_chan    = eval( result{5} );
	end;
	if size(result{6}) == size('all')	range_rt = 'all';
	else					range_rt = eval( result{6} );
	end;
	if size(result{7}) == size('all')	range_response  = 'all';
	else					range_response  = eval( result{7} );
	end;

end;

if size(range_chan)  == size('all')		range_chan    = [1:size(NAMECHAN,1)]; end;
if size(range_sweeps) == size('all')	trialtagI     = 1; else trialtagI     = 0; end;
%if size() == size('all')				acceptagI     = 1; else acceptagI     = 0; end;
if size(range_typeeeg) == size('all')	typetagI      = 1; else typetagI      = 0; end;
if size(range_response) == size('all')	responsetagI  = 1; else responsetagI  = 0; end;
if size(range_rt)      == size('all')	rttagI        = 1; else rttagI        = 0; end;

% retreiveSet
% ------------
retreiveset(set_in);

% count to reserv memory
% ----------------------
selectrow  = zeros(1,SWEEPS*PNTS);
selectrial = zeros(1,SWEEPS);
count_trials = 0;
fprintf('Selecting trials..\n');
for index=1:SWEEPS

	% store the sweep or reject the sweep
	% -----------------------------------
	if trialtagI trialtag = 1;        else trialtag     = ismember(index, range_sweeps); end;
	%if acceptagI acceptag = 1;       else acceptag     = ismember(ACCEPT(index), acceptype); end;
	if typetagI  typetag  = 1; 	  else typetag          = ismember(EEGTYPE(index), range_typeeeg); end;
	if responsetagI responsetag  = 1; else responsetag  = ismember(EEGRESP(index), range_response); end;
	if rttagI       rttag  = 1; 	  else rttag        = ismember(RT(index), range_rt); end;

	if typetag
		if trialtag 
			if responsetag
				if rttag
					count_trials = count_trials+1;
					selectrow(1,(1+(count_trials-1)*PNTS):(count_trials*PNTS))  = [(1+(index-1)*PNTS):(index*PNTS)];
					selectrial(count_trials) = index;
					%fprintf('%d\n', count_trials);
				end;
			end;
		end;
	end;
end;

selectrow = selectrow(1,[1:(count_trials*PNTS)]);
selectrial = selectrial(1,[1:count_trials]);

fprintf('Creating new set..\n');
% modify variables
% ----------------
SWEEPS     = count_trials;
if all( range_chan ~= [1:size(NAMECHAN,1)]) & ~isempty( POSCHAN )
	fprintf('Warning: you need to edit the .loc file and to remove the channel by yourself\n');
end;	 
if ~isempty(NAMECHAN) 	NAMECHAN 	= NAMECHAN(range_chan,:); end;
if ~isempty(ACCEPT) 	ACCEPT  	= ACCEPT(selectrial); end;
if ~isempty(EEGTYPE) 	EEGTYPE    	= EEGTYPE(selectrial); end;
if ~isempty(RT) 		RT	   		= RT(selectrial); end;
if ~isempty(EEGRESP) 	EEGRESP 	= EEGRESP(selectrial); end;
SIGNAL = SIGNAL( range_chan, selectrow );

% save new set
% ------------
storeset( set_out);

if nargin<1
	plotset(CURRENTSET);
	h(-1);
end;

% put on the history
% ------------------
h(sprintf('pop_filtset( %d, %d, ''%s'', ''%s'', ''%s'', ''%s'', ''%s'');', ...
			fastif(isstr(range_sweeps), [ '''' range_sweeps '''' ], [ '[' num2str(range_sweeps) ']' ]), ...
			fastif(isstr(range_typeeeg), [ '''' range_typeeeg '''' ], [ '[' num2str(range_typeeeg) ']' ]), ...
			fastif(isstr(range_chan), [ '''' range_chan '''' ], [ '[' num2str(range_chan) ']' ]), ...
			fastif(isstr(range_rt), [ '''' range_rt '''' ], [ '[' num2str(range_rt) ']' ]), ...
			fastif(isstr(range_response), [ '''' range_response '''' ], [ '[' num2str(range_response) ']' ]))); 

return;
