% popup loadeeg file
% ------------------
function pop_loadeeg(set_out, filename, filepath, range_chan, range_sweeps, range_typeeeg, range_response); 
eegglobal;

if nargin < 7 

	% ask user
	[filename, filepath] = uigetfile('*.eeg', 'Choose an EEG file'); 
	if filename == 0 return; end;

	% popup window parameters
	% -----------------------
	promptstr    = { 'Enter set number', 'Enter trialrange:', 'Enter the type range:', 'Enter electrodes:', 'Enter response range:'};
	inistr       = { '1', 'all', '12501:12600', 'all', 'all' };
	pop_title    = sprintf('Load an EEG set');
	result       = inputdlg( promptstr, pop_title, 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_out      = eval( result{1} );

	% decode parameters
	% -----------------
	if size(result{2}) == size('all')	range_sweeps = 'all';
	else								range_sweeps = eval( result{2} );
	end;
	if size(result{3}) == size('all')	range_typeeeg  = 'all';
	else								range_typeeeg  = eval( result{3} );
	end;
	if size(result{4}) == size('all')	range_chan = 'all';
	else								range_chan = eval( result{4} );
	end;
	if size(result{5}) == size('all')	range_response  = 'all';
	else								range_response  = eval( result{5} );
	end;

end;

% load datas
% ----------
initset;
fullFileName = sprintf('%s%s', filepath, filename);
[SIGNAL, ACCEPT, EEGTYPE, RT, EEGRESP, NAMECHAN, PNTS, SWEEPS, RATE, XMIN, XMAX] = loadeeg( fullFileName, range_chan, range_sweeps, range_typeeeg, 'all', 'all', range_response);
FILENAME        = filename;
FILEPATH        = filepath;
SETNAME 		= 'Rawdatas';
storeset(set_out);

% plot the datas
if nargin < 1
	plotset(1,set_out,1);
	h(-1);
end;

h(sprintf('pop_loadeeg(%d, ''%s'', ''%s'', %s, %s, %s, %s);', set_out, filename, filepath, ...
			fastif(isstr(range_chan), [ '''' range_chan '''' ], [ '[' num2str(range_chan) ']' ]), ...
			fastif(isstr(range_sweeps), [ '''' range_sweeps '''' ], [ '[' num2str(range_sweeps) ']' ]), ...
			fastif(isstr(range_typeeeg), [ '''' range_typeeeg '''' ], [ '[' num2str(range_typeeeg) ']' ]), ...
			fastif(isstr(range_response), [ '''' range_response '''' ], [ '[' num2str(range_response) ']' ]))); 

return;



