% load a set and store it in the current set
% ------------------------------------------
function pop_loadset( set_out, inputname, inputpath);
eegglobal;

if nargin < 3

	[filename, filepath] = uigetfile('*.set', 'Load a set');
	if filename == 0 return; end;
	promptstr    = { 'Enter the set number:' };
	inistr       = { '1' };
	result       = inputdlg( promptstr, 'Load a set', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_out      = eval( result{1} );

	inputname = filename;
	inputpath = filepath;
end;

initset;
fprintf('loading set %s ...\n', inputname);
tmpeeglab  = load([ inputpath inputname ], '-MAT');
tmpeeglab2 = tmpeeglab.cellArray;
EEGSET([1:size(tmpeeglab2(:),1)] , set_out) 	= tmpeeglab2;
retreiveset(set_out);
if ~isempty(SPHERE)
	ACT     = (WEIGHTS*SPHERE)*SIGNAL;
	THRESHOLD = [1 0.8 0.8];
end;
storeset(set_out);

if nargin < 3
	plotset(1,set_out,1);
	h(-1); % unstack plotset
end;

h(sprintf('pop_loadset( %d, ''%s'', ''%s'');', set_out, inputname, inputpath));
return;
