function res = pop_newset( set, tmp_data, tmp_nbchan, tmp_pnts, tmp_chan, tmp_rt, tmp_typeeeg, tmp_rate, tmp_xmin, tmp_xmax, tmp_name);
eegglobal;

if nargin < 4
  initset;
  endprompt = 0;
  while (endprompt == 0)

	% popup window parameters	
	% -----------------------
	promptstr    = { 'Number of the set:*', ...
					 'Name of the data array or file(use floatread):*',...
					 'Number of channels:*', ...
					 'Number of points per frames (if EEG put 0):*', ...
					 'Channel position array or file(.loc file):', ...
					 'Trials'' rt array or file(use floatread):',...
					 'Trials'' type array or file(use floatread):',...
					 'Sampling rate(Hz):',...
					 'Minimal time(ms):',...
					 'Maximal time(ms):',...
					 'Name of the set:', ...
					 };
	inistr       = { int2str(CURRENTSET+1), ... 
					 'SIGNAL', ...
					 '32' , ...
					 '175', ...
					 '', ...
					 '', ...
					 '', ...
					 '', ...
					 '', ...
					 '', ...
					 ['set ' int2str(CURRENTSET+1)] };
					 
	result       = inputdlg( promptstr, 'New set (* fields must be filled)', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 if CURRENTSET ~= 0 retreiveset(CURRENTSET); end; res = 0; return; end;

	res = pop_newset( result{1}, result{2},  result{3}, result{4}, result{5}, result{6}, result{7}, result{8}, result{9}, result{10}, result{11} ); 
	if res == 1 endprompt=1; end;
  end;
else
	% minimum 4 parameters
	% --------------------
	if nargin<5 tmp_chan = ''; end;
	if nargin<6 tmp_rt = ''; end;
	if nargin<7 tmp_typeeeg = ''; end;
	if nargin<8 tmp_rate = ''; end;
	if nargin<9 tmp_xmin = ''; end;
	if nargin<10 tmp_xmax = ''; end;
	if nargin<11 tmp_name = ''; end;

	% decode parameters
	% -----------------
	PNTS       = eval( tmp_pnts ); 
	nbchan     = eval( tmp_nbchan );
	try
	  if exist(tmp_data) == 1	SIGNAL = eval( tmp_data);
	  else 				        SIGNAL = floatread( tmp_data, [ nbchan inf ] ); fprint('file %s read\n', tmp_data);
 	  end;
	catch
 	  fprintf( 'Error: unable to read data file\n');  res = 0; return;		  
 	end;
	if PNTS == 0 PNTS = size(SIGNAL,2); end;
	if size(SIGNAL,2) == 0
 	  fprintf( 'Error: unable to read data array\n');  res = 0; return;		  
	end;	

	% check parameters
	% ----------------
	if mod(size(SIGNAL(:,:), 2), PNTS) == 0 
		SWEEPS = size(SIGNAL(:,:), 2) / PNTS;
		fprintf( 'The set countain %d epochs\n', SWEEPS);
	else 
 	  fprintf( 'Error: the number of frames does not divide the number of columns in the data\n'); res = 0; return;		  
	end;
	if ~isempty( nbchan )		
		if   size(SIGNAL, 1) ~= nbchan 
			fprintf( 'Error: the number of channels (%d) is not identical to the number of rows in the data (%d)\n', nbchan, size(SIGNAL, 1)); 
			res = 0; return;		  
		end;		
	end;
	
	% channels
	% --------
	%try	
 	%  if ~isempty(tmp_chan)
    %		if exist(tmp_chan) == 1	NAMECHAN = eval( tmp_chan);
	%	else 					NAMECHAN = floatread( tmp_chan, [eval( tmp_pnts ) inf ] ); fprint('file %s read\n', tmp_chan);
	%	end;
	%  else NAMECHAN = []; fprintf('warning, no channel name reserved, no topoplots possible\n');
	%  end;
	%catch
 	%  fprintf( 'Error: unable to read channel file %s\n', tmp_chan);  res = 0; return;		  
 	%end;
 	if ~isempty(tmp_chan) 
 		if exist(tmp_chan) == 2 
			POSCHAN = tmp_chan;
		else 	
 			fprintf( 'Error: channel file %s not found, check if the file location is in the path\n', tmp_chan);  res = 0; return;		  
		end;
	else
		POSCHAN = '';
	end;
	
	% rt
	% --
	try	
 	  if ~isempty(tmp_rt)
		if exist(tmp_rt) == 1	RT = eval( tmp_rt);
		else 					RT = floatread( tmp_rt, [1 inf ] ); fprint('file %s read\n', tmp_rt);
		end;
	  else RT = []; fprintf('warning, no reaction time\n');
	  end;
	catch
 	  fprintf( 'Error: unable to read rt file\n');  res = 0; return;		  
 	end;

	% type
	% ----
	try	
 	  if ~isempty(tmp_typeeeg)
		if exist(tmp_typeeeg) == 1	EEGTYPE = eval( tmp_typeeeg);
		else 					    EEGTYPE = floatread( tmp_typeeeg, [1 inf ] ); fprintf('file %s read\n', tmp_typeeeg);
		end;
	  else EEGTYPE = [];
	  end;
	catch
 	  fprintf( 'Error: unable to read typeeeg file\n');  res = 0; return;		  
 	end;

	% others
	% ------
 	try

	  if isempty(tmp_xmin) 	XMIN = 0;
	  else			  		XMIN = eval( tmp_xmin );
	  end;

	  if isempty(tmp_xmax) 	XMAX = PNTS/250;
	  else			  		XMAX = eval( tmp_xmax );
	  end;

 	  if isempty(tmp_rate) 	RATE = PNTS/(XMAX-XMIN); 
 	  else			  		RATE = eval( tmp_rate );	
 	  end;

    catch
  	  fprintf( 'Error: wrong xmax, xmin or rate parameter\n');  
	  res = 0; return;
    end;

    if 	RATE*(XMAX-XMIN) ~= PNTS	  	
  	  fprintf( 'Error: incoherence (xmin-xmax)*rate (=%f) must be equal to the number of frames (=%d)\n', RATE*(XMAX-XMIN), PNTS);  
	  res = 0;
	  return;
    end;	  	

	SETNAME = tmp_name; 
    storeset( eval(set));

	% put on the history
	% ------------------
	h(sprintf('pop_newset( ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'', ''%s'');', ...
		set, tmp_data, tmp_nbchan, tmp_pnts, tmp_chan, tmp_rt, tmp_typeeeg, tmp_rate, tmp_xmax, tmp_xmin, tmp_name));
end;
res = 1;
return;








