function pop_rejectcompo( set_in, set_out, threshold1, threshold2, threshold3, computeICA, interactive, precompdisp, rejtrials);
eegglobal;
eegconst;

if nargin < 3

	% which set to save
	% -----------------
	promptstr    = {'Enter the set:', ...
					'Output set:', ...
					'Accuracy for trials (0 to 1;1=auto):', ...
					'Accuracy for signal (0 to 1):', ...
					'Accuracy for distribution (0 to 1):', ...
					'Interactive:', ...
					'Precompute display:', ...
					'Reject trials:' };
	inistr       = {int2str(CURRENTSET), ...
					int2str(CURRENTSET+1), ...
					num2str(THRESHOLD(1)), ...
					num2str(THRESHOLD(2)), ...
					num2str(THRESHOLD(3)), ...
					'YES' , ...
					'NO' , ...
					'YES' };
	if ~isempty(SPHERE)
		promptstr    = { promptstr{:}, 'Recompute ICA:' };
		inistr       = { inistr{:}, 'NO' };
	end;	
	result       = inputdlg( promptstr, 'Component rejection:', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out      = eval( result{2} );
	threshold1   = eval( result{3} );
	threshold2   = eval( result{4} );
	threshold3   = eval( result{5} );

	interactive = 1; if size(result{6},2) == 2 if all(result{6} == 'NO') interactive = 0; end; end; 
	precompdisp = 1; if size(result{7},2) == 2 if all(result{7} == 'NO') precompdisp = 0; end; end;
	rejtrials   = 1; if size(result{8},2) == 2 if all(result{8} == 'NO') rejtrials = 0; end; end;

	computeICA = 1;
	if ~isempty(SPHERE)
		if size(result{9},2) == 2
			if all (result{9} == 'NO')
				computeICA = 0;
			end;
		end;
	end;			
end;

% compute ICA if necessary
% ------------------------
if computeICA
	pop_ica( set_in );
	h(-1);
end;
retreiveset( set_in );

% get the rejected trials but do not display
% ------------------------------------------
if isempty( ENTROPYT )
	fprintf('Computing rejection, can take some time... (but results will be backed up for future calls)\n') 
	[I, newsignal, n, th, ENTROPYT] = rejectrials( ACT, PNTS, 0, threshold1 );
else
	fprintf('Rejecting trials...\n') 
	[I, newsignal, n, th, Ent] = rejectrials( ACT, PNTS, 0, threshold1, ENTROPYT);
end;

% store a new temporary set
% -------------------------
SIGREJECT = setdiff([1:SWEEPS], I);
THRESHOLD(1) = th;
THRESHOLD(2) = threshold2;
THRESHOLD(3) = threshold3;
%if isempty( ENTROPYC ) 
%	fprintf('Computing channel entropy... (results will be backed up for future calls)\n') 
%	ENTROPYC = channelentropy( SIGNAL(:,:)); 
%end;
storeset(set_in);

% accept/reject components
% ------------------------
SIGNAL  = reshape( SIGNAL, size(SIGNAL,1), PNTS, SWEEPS);
ACT     = reshape( ACT   , size(ACT,1)   , PNTS, SWEEPS);
TMPSIG  = SIGNAL(:,:,setdiff( [1:SWEEPS], SIGREJECT) );
TMPACT  = ACT(:,:,setdiff( [1:SWEEPS], SIGREJECT) );

%TMPEEG1 = compvar( TMPSIG, TMPACT, WINV, [1:size(SIGNAL,1)] );
if isempty( ENTA ) 
	fprintf('Computing channel entropy... (results will be backed up for future calls)\n') 
	ENTA  = channelentropy( TMPACT ); 
end;	
fprintf('Computing kurtosis...\n') 
if isempty( KURTA ) 
	KURTA = kurt( TMPACT(:,:)' );
end;
KURTD = kurt( WINV );
if ~isempty(SIGREJECT)
	TMPSIG  = SIGNAL(:,:,SIGREJECT);
	TMPACT  = ACT(:,:,SIGREJECT);
	%TMPEEG2 = compvar( TMPSIG, TMPACT, WINV, [1:size(SIGNAL,1)] );
	ENTR  = channelentropy( TMPACT );
	KURTR = kurt( TMPACT(:,:)' );
end;
SIGNAL = SIGNAL(:,:); 
storeset(set_in);

fprintf('Autoreject...\n') 
autoreject( set_in, [], 0, 1);

% create temporary files for ploting
% ----------------------------------
if interactive & precompdisp
	fprintf('Automatic generation of the figure (they may appear traansiently on the screen)\n') 
	for numcompo = 1:size(SIGNAL,1)
		figcompo;
		command = sprintf('print -dmfile tmpfile%d_%d.m', set_in, numcompo);
		eval(command);
		%close(gcf);
	end;	
end;

% plot all the components
% -----------------------
pop_dispcomp( set_in, set_out, rejtrials );

h(sprintf('pop_rejectcompo( %d, %d, %f, %f, %f, %d, %d, %d, %d );', set_in, set_out, THRESHOLD(1), THRESHOLD(2), THRESHOLD(3), computeICA, interactive, precompdisp, rejtrials));
return;
