function pop_rejectrials( set_in, set_out, threshold, computeICA, usearray);
eegglobal;

if nargin < 3

	% which set to save
	% -----------------
	if isempty(SPHERE)
		promptstr    = { 'Enter the set:', 'Output set:', 'Error accepted (0 to 1;1=auto):' };
		inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), num2str(THRESHOLD(1)) };
	else
		promptstr    = { 'Enter the set:', 'Output set:', 'Error accepted (0 to 1;1=auto):', 'Recompute ICA:' };
		inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), num2str(THRESHOLD(1)), 'NO' };
	end;	
	result       = inputdlg( promptstr, 'Trial reject', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out      = eval( result{2} );
	threshold    = eval( result{3} );

	computeICA = 1;
	if ~isempty(SPHERE)
		if size(result{4},2) == 2
			if all (result{4} == 'NO')
				computeICA = 0;
			end;
		end;
	end;			
end;

retreiveset( set_in );

% if I is present, perform manual rejection
% -----------------------------------------
if nargin < 5
	if computeICA
		pop_ica( set_in );
		h(-1);
	end;

	figure;
	if isempty( ENTROPYT )
		fprintf('Computing rejection, can take some time... (but results will be backed up for future calls)\n');
		[I, newsignal, n, th, ENTROPYT] = rejectrials( ACT, PNTS, 1, threshold );
	else
		[I, newsignal, n, th, Ent] = rejectrials( ACT, PNTS, 1, threshold, ENTROPYT);
	end;
	fprintf('%d/%d epoch rejected\n', n, SWEEPS);  

	% ask for confirmation
	%---------------------
	if nargin < 3
    	ButtonName=questdlg('Do you agree with the rejection ?', ...
                         'Confirmation', 'NO', 'YES', 'YES');
		switch ButtonName,
        	case 'NO', 
        		disp('Operation cancelled');
				retreiveset(set_in);
				close(gcf);
				return;
       		case 'YES',
       			disp('New set computed');
       			storeset(set_in);
    	end % switch
	end;
	THRESHOLD(1) = th; 
else
	I = setdiff([1:SWEEPS], SIGREJECT);
end;	

% save new parameters
% -------------------
SIGNAL = reshape(SIGNAL, size(SIGNAL,1), PNTS, SWEEPS); 
SIGNAL = SIGNAL(:,:,I);
SIGNAL = SIGNAL(:,:);
ACT    = reshape(ACT, size(ACT,1), PNTS, SWEEPS); 
ACT    = ACT(:,:,I);
ACT    = ACT(:,:);
SWEEPS = size(I(:),1);

if ~isempty(ACCEPT) 	ACCEPT  	= ACCEPT(I); end;
if ~isempty(EEGTYPE) 	EEGTYPE    	= EEGTYPE(I); end;
if ~isempty(RT) 		RT	   		= RT(I); end;
if ~isempty(EEGRESP) 	EEGRESP 	= EEGRESP(I); end;
SETNAME = 'ICA rejected trials';
fprintf('Set saved in %d\n', set_out);  
storeset( set_out);
retreiveset( set_in );

h(sprintf('pop_rejectrials( %d, %d, %d, %d );', set_in, set_out, threshold, computeICA));
return;