% resample an EEG set
% -------------------
function pop_resample( set_in, set_out, freq); 
eegglobal;

if nargin < 1 

	% popup window parameters
	% -----------------------
	promptstr    = { 'Enter the set to resample:', 'Enter the output set:', 'Enter the new frequency:'};
	inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), int2str(RATE) };
	result       = inputdlg( promptstr, 'Resample a data set', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out   	 = eval( result{2} );
	freq         = eval( result{3} );

end;

if mod(RATE, freq) fprintf('Warning: the new frequency does not divide the old one, computation might be very long\n', freq); end;  

% retreiveSet
% ------------
retreiveset(set_in);

% set variable
% ------------
SIGNAL    = reshape( SIGNAL, size(SIGNAL,1), PNTS, SWEEPS);
new_PNTS  = round( PNTS / (RATE/freq) );
tmpeeglab = zeros(size(SIGNAL,1), new_PNTS, SWEEPS);
fprintf('resampling data %3.0f Hz\n', freq);

% resample for multiple frequency
% -------------------------------
if exist('resample') & mod(RATE, freq) == 0
	for index1 = 1:size(SIGNAL,1)
		fprintf('%d ', index1);	
		sigtmp = squeeze (SIGNAL(index1,:, :));
		tmpeeglab(index1,:, :) = resample( sigtmp, freq, RATE ); 
		%for index3 = 1:size(SIGNAL,3)
		%	tmpeeglab(index1,:, index3) = resample(SIGNAL(index1,:, index3), freq, RATE );
		%end;
	end;
	fprintf('\n', index1);	

% resample for non multiple
% -------------------------
else
	Y  = [1 2];
	for index1 = 1:size(SIGNAL,1)
		fprintf('%d\n', index1);	
		for index3 = 1:size(SIGNAL,3)
			X = [1:PNTS];
			XX = linspace( 1, PNTS, new_PNTS);
			tmpsig = [ squeeze(SIGNAL(index1, :, index3))' squeeze(SIGNAL(index1, :, index3))'];
   			[Xi,Yi,Zi] = griddata(Y,X', tmpsig , Y, XX', 'invdist');   % interpolate data
			tmpeeglab(index1,:, index3) = Zi(:,1);
			fprintf('.');	
		end;
		fprintf('\n');	
	end;
end;
	
% storeSet
% --------
SIGNAL = tmpeeglab(:,:);
PNTS   = new_PNTS;
RATE   = freq;
fprintf('resampling finished\n');

SETNAME = 'resampled';
storeset( set_out);

h(sprintf('pop_resample( %d, %d, %d);', set_in, set_out, freq));
return;

