function [I1, I2] = pop_thresh( set_in, set_out, elecrange, threshold, timerange);
eegglobal;

if nargin < 3

	% which set to save
	% -----------------
	promptstr    = { 'Enter the set:', 'Output set:', 'Electrodes(number;ex: 2 4 5):', 'Threshold(mV;ex: -20 20):', 'Timerange(s;ex -0.1 0.3):' };
	inistr       = { int2str(CURRENTSET), int2str(CURRENTSET+1), '1', '-20 20', sprintf('%3.2f %3.2f', XMIN, XMAX) };

	result       = inputdlg( promptstr, 'Classic trials rejection', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	set_out      = eval( result{2} );
	elecrange    = eval( [ '[' result{3} ']' ]  );
	threshold    = eval( [ '[' result{4} ']' ]  );
	timerange    = eval( [ '[' result{5} ']' ]  );
	if timerange(1) < XMIN timerange(1)=XMIN; end;
	if timerange(2) > XMAX timerange(2)=XMAX; end;

end;
retreiveset( set_in);

[I1 I2 NS] = eegthresh( SIGNAL, PNTS, elecrange, threshold, [XMIN XMAX], timerange);

fprintf('%d trials rejected\n', size(I2(:),1));
SIGNAL = NS;
if ~isempty(ACCEPT) 	ACCEPT  	= ACCEPT(I1); end;
if ~isempty(EEGTYPE) 	EEGTYPE    	= EEGTYPE(I1); end;
if ~isempty(RT) 		RT	   		= RT(I1); end;
if ~isempty(EEGRESP) 	EEGRESP 	= EEGRESP(I1); end;
SWEEPS= size(I1(:),1);
storeset(set_out);

if nargin < 2
	pop_compare([set_in set_out]);
	h(-1);

    ButtonName=questdlg('Do you agree with the projection ?', ...
                         'Confirmation', 'NO', 'YES', 'YES');
	
    switch ButtonName,
        case 'NO', 
        	disp('Operation cancelled');
			retreiveset(set_in);
			pop_delset(set_out);
			close(gcf);
       case 'YES',
       		disp('New set computed');
			close(gcf);
     end % switch

end;
	
h(sprintf('pop_thresh( %d, %d, [%s], [%f %f], [%f %f]);', ...
			set_in, set_out, num2str(elecrange) , threshold(1), threshold(2) , timerange(1), timerange(2) )); 

return;
