function pop_topoplot( typeplot, set_in, arg2 );
eegglobal;

NBCOL = 6;
SIZEBOX = 150;

if nargin < 1
	typeplot = 1;
end;

if nargin < 3

	% which set to save
	% -----------------
	if typeplot
		txt = sprintf('Enter the latency (%d to %d ms):', XMIN*1000, XMAX*1000);
	else
		txt = ['Enter the component (1:' int2str(size(SIGNAL,1)) ' to plot all components):'];
	end;		
	promptstr    = { 'Enter the set:', txt };
	inistr       = { int2str(CURRENTSET), fastif( typeplot, int2str(XMIN*1000), '1') };
	result       = inputdlg( promptstr, fastif( typeplot, 'Topoplot', 'Topoplot component'), 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
	arg2   	     = eval( [ '[' result{2} ']' ] );
end;

if set_in == 0
	set_in = CURRENTSET;
end;

retreiveset( set_in );
fprintf('Ploting...\n');
if isempty(POSCHAN)
	fprintf('Error: set has no channel location file\n');
	return;
end;


nbgraph = size(arg2(:),1);
nblines = ceil(nbgraph/NBCOL);
figure;
if nbgraph > 1
	pos = get(gcf,'Position');
	set(gcf,'Position', [pos(1) pos(2) SIZEBOX*NBCOL SIZEBOX*nblines]);
end;

counter = 1;
for latency = arg2
	if nbgraph > 1
		subplot( nblines, NBCOL, counter);
		counter = counter+1;
	end;	
	if typeplot
		pos = round( (latency/1000-XMIN)/(XMAX-XMIN) * (PNTS-1))+1;
		SIGTMP = reshape(SIGNAL, size(SIGNAL,1), PNTS, SWEEPS);
		topoplot( mean(SIGTMP(:,pos,:),3), POSCHAN );
		title([int2str(latency) ' ms']);
	else
		topoplot( WINV(:, latency), POSCHAN );
		title(['Component ' int2str(latency)]);
	end;
	axis square; 
end;

h(sprintf('pop_topoplot(%d,%d,%d);', typeplot, set_in, arg2 ));
return;

		