% shatter() - shatter filter
%
% Usage:
%   >> [mat] = shatter( width, height )
%
% Inputs:
%   width, height - width and height of the filter 
%
% Outputs:
%   mat   - output matrix

% arno@salk.edu, Arnaud Delorme, CNL / Salk Institute, 2001

% This program is free software; you can redistribute it and/or
% modify it.  
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

function mat = shatter( width, height )

if nargin < 2
	help shatter;
	return;
end;

mat = zeros( height, width);
mat( 1,1) = 1;
mat( 1,end) = 1;
mat( end,1) = 1;
mat( end,end) = 1;

return;	